Canvas5GraphInternal Namespace Reference

Internal: the structures of a Canvas5Graph. More...

## Classes
struct | SectionData
| Internal: the section data. More...
struct | ShapeData
| Internal: the shape data. More...
struct | Shape
| Internal: the shape of a Canvas5Graph. More...
struct | PseudoShape
| Internal[low level]: a pseudo class to store the data corresponding to a shape. More...
struct | State
| Internal: the state of a Canvas5Graph. More...
class | SubDocument
| Internal: the subdocument of a Canvas5Graph. More...

## Functions
bool | intersect (MWAWVec2f const &A, MWAWVec2f const &dirA, MWAWVec2f const &B, MWAWVec2f const &dirB, MWAWVec2f &pt)
std::vector< MWAWVec2f > | intersect (MWAWBox2f const &box, MWAWVec2f const &pt, MWAWVec2f const &dir)

## Detailed Description

Internal: the structures of a Canvas5Graph.

## Function Documentation

## ◆ intersect() [1/2]

std::vector< MWAWVec2f > Canvas5GraphInternal::intersect | ( | MWAWBox2f const & | box,
|  | MWAWVec2f const & | pt,
|  | MWAWVec2f const & | dir )

## ◆ intersect() [2/2]

bool Canvas5GraphInternal::intersect | ( | MWAWVec2f const & | A,
|  | MWAWVec2f const & | dirA,
|  | MWAWVec2f const & | B,
|  | MWAWVec2f const & | dirB,
|  | MWAWVec2f & | pt )

Referenced by Canvas5Graph::sendDimension9().